error-chain 0.10.0

Yet another error boilerplate library.